/* struct.h */
#ifndef FFP_H
#include "ffp.h"
#endif

struct PlotRegion {
   FFP XMin, XMax, YMin, YMax;
};

struct Plot {
   struct Plot *NextPlot;
   short NPts;
   short Color;
   short PointSize;
   short Enabled;
   short Continued;
   struct PlotRegion *Reg;
   FFP *x, *y, *e;
   short *xp, *yp, *ep;
};

struct Tics {
   short NX, NY;
   short *xp, *yp;
   FFP *x, *y;
};

struct Pict  {
   short NPlt;
   short Grid;
   short ErrBar;
   short ShowErr;
   short XRegionLock, YRegionLock;
   short Axes;
   struct Tics *Tics;
   struct PlotRegion *CurrReg, *NewReg;
   FFP XScale, YScale;
   char *Title, *XLabel, *YLabel;
   struct Plot *Plot;
};
